org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV1d0.VertexSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV1d0.VertexSerializer

- All Implemented Interfaces:
    SerializerShim<Vertex>
  Enclosing class:
    GryoSerializersV1d0

      public static final class GryoSerializersV1d0.VertexSerializer
      extends Object
      implements SerializerShim<Vertex>

  Serializes any `Vertex` implementation encountered to an `DetachedVertex`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> Vertex` | `read(KryoShim<I,?> kryo, I input, Class<Vertex> vertexClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, Vertex vertex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### VertexSerializer

          public VertexSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   Vertex vertex)

      Specified by:
        `write` in interface `SerializerShim<Vertex>`

    - #### read

          public <I extends InputShim> Vertex read(KryoShim<I,?> kryo,
                                                   I input,
                                                   Class<Vertex> vertexClass)

      Specified by:
        `read` in interface `SerializerShim<Vertex>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.